Bug 174246 - Speedometer 2.0: Fix deleting items in vanilla JS example
Summary: Speedometer 2.0: Fix deleting items in vanilla JS example
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 172339
  Show dependency treegraph
 
Reported: 2017-07-07 00:39 PDT by Mathias Bynens
Modified: 2017-07-10 18:41 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.92 KB, patch)
2017-07-07 00:47 PDT, Mathias Bynens
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (1.07 MB, application/zip)
2017-07-07 01:56 PDT, Build Bot
no flags Details
Patch (3.92 KB, patch)
2017-07-07 02:03 PDT, Mathias Bynens
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Bynens 2017-07-07 00:39:27 PDT
In the vanilla JS example, removing items doesn’t work: http://browserbench.org/Speedometer2.0/resources/todomvc/vanilla-examples/vanillajs/index.html

I’ll submit a CL for this.
Comment 1 Mathias Bynens 2017-07-07 00:47:53 PDT
Created attachment 314822 [details]
Patch
Comment 2 Build Bot 2017-07-07 01:56:37 PDT
Comment on attachment 314822 [details]
Patch

Attachment 314822 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4068870

New failing tests:
fast/workers/dedicated-worker-lifecycle.html
Comment 3 Build Bot 2017-07-07 01:56:38 PDT
Created attachment 314823 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Ryosuke Niwa 2017-07-07 02:00:08 PDT
Comment on attachment 314822 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=314822&action=review

Please fix the format of the change log entry.

> PerformanceTests/ChangeLog:8
> +        https://bugs.webkit.org/show_bug.cgi?id=174246

This line should appear immediately below the bug title.

> PerformanceTests/ChangeLog:10
> +        Reviewed by NOBODY (OOPS!).

Followed by this line, and then the description.
Comment 5 Mathias Bynens 2017-07-07 02:03:20 PDT
Created attachment 314824 [details]
Patch
Comment 6 Ryosuke Niwa 2017-07-07 02:20:16 PDT
Comment on attachment 314824 [details]
Patch

Great. Thanks for the fix!

In the future, please also set cq (commit-queue) to ?
so that reviewers & committers can land your patch via the commit queue.
Comment 7 Mathias Bynens 2017-07-07 02:36:34 PDT
Thanks for the quick turnaround on this!

Re: cq?, is there a way to tell `webkit-patch upload` to do that?
Comment 8 WebKit Commit Bot 2017-07-07 03:25:03 PDT
Comment on attachment 314824 [details]
Patch

Clearing flags on attachment: 314824

Committed r219251: <http://trac.webkit.org/changeset/219251>
Comment 9 WebKit Commit Bot 2017-07-07 03:25:05 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Ryosuke Niwa 2017-07-08 01:08:46 PDT
(In reply to Mathias Bynens from comment #7)
> Thanks for the quick turnaround on this!
> 
> Re: cq?, is there a way to tell `webkit-patch upload` to do that?

webkit-patch upload --commit-queue would do.
Comment 11 Mathias Bynens 2017-07-10 04:44:10 PDT
> webkit-patch upload --commit-queue would do.

$ webkit-patch upload --commit-queue
Usage: webkit-patch [options] COMMAND [ARGS]

webkit-patch: error: no such option: --commit-queue

Type "webkit-patch --help" to see usage.
Comment 12 Ryosuke Niwa 2017-07-10 18:41:09 PDT
(In reply to Mathias Bynens from comment #11)
> > webkit-patch upload --commit-queue would do.
> 
> $ webkit-patch upload --commit-queue
> Usage: webkit-patch [options] COMMAND [ARGS]
> 
> webkit-patch: error: no such option: --commit-queue
> 
> Type "webkit-patch --help" to see usage.

Oops, it would be webkit-patch upload --request-commit